Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.events
Class ServletContextNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.CustomNotification
                  org.mule.transport.servlet.events.ServletContextNotification

All Implemented Interfaces:
  Serializable, MuleContextAware, BlockingServerEvent

    public class ServletContextNotification

extends CustomNotification
implements BlockingServerEvent

TODO

See Also:
  Serialized Form

Field Summary
`static int` | `SERVLET_CONTEXT_DESTROYED`
`static int` | `SERVLET_CONTEXT_INITIALISED`
`static int` | `SERVLET_CONTEXT_START_RANGE`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletContextNotification(ServletContext context, int action)`

Method Summary
`String` | `toString()`

Methods inherited from class org.mule.context.notification.CustomNotification
`getActionNames`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getPayloadToString, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVLET_CONTEXT_START_RANGE

    public static final int SERVLET_CONTEXT_START_RANGE

See Also:
  Constant Field Values

### SERVLET_CONTEXT_INITIALISED

    public static final int SERVLET_CONTEXT_INITIALISED

See Also:
  Constant Field Values

### SERVLET_CONTEXT_DESTROYED

    public static final int SERVLET_CONTEXT_DESTROYED

See Also:
  Constant Field Values

Constructor Detail

### ServletContextNotification

    public ServletContextNotification(ServletContext context,
                                      int action)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.